> ## Documentation Index
> Fetch the complete documentation index at: https://docs.dfns.co/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Stake Rewards

> Retrieves the rewards linked to a specific stake.

#### Authentication

✅ Organization User (`CustomerEmployee`)\
❌ Delegated User (`EndUser`)\
✅ Service Account

#### Required Permissions

`Stakes:Read`: Always required.


## OpenAPI

````yaml /openapi.yaml get /staking/stakes/{stakeId}/rewards
openapi: 3.1.0
info:
  version: 1.795.3
  title: Dfns
servers:
  - url: https://api.dfns.io
    description: Default - Europe
  - url: https://api.uae.dfns.io
    description: UAE
  - url: https://api.dfns.ninja
    description: <Deprecated> Staging
security: []
paths:
  /staking/stakes/{stakeId}/rewards:
    get:
      tags:
        - Staking
      summary: Get Stake Rewards
      description: Retrieves the rewards linked to a specific stake.
      parameters:
        - schema:
            type: string
            minLength: 1
            maxLength: 64
            pattern: ^stk-[a-z0-9]{5}-[a-z0-9]{5}-[a-z0-9]{14,16}$
          required: true
          name: stakeId
          in: path
      responses:
        '200':
          description: Success
          content:
            application/json:
              schema:
                type: object
                properties:
                  symbol:
                    type: string
                  balance:
                    type: string
                required:
                  - symbol
                  - balance
      security:
        - authenticationToken: []
components:
  securitySchemes:
    authenticationToken:
      type: http
      scheme: bearer
      bearerFormat: JWT
      description: >-
        **Bearer Token:** Used to authenticate API requests.

        More details how to generate the token: [Authentication
        flows](https://docs.dfns.co/api-reference/auth/login-flows)

````